
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于Java Socket实现一个简易在线聊天功能（一）_java / iVAN</title>

    <meta name="description" content="基于Java Socket实现一个简易在线聊天功能（一）_java 先给大家说下实现步骤分这样几大步: 1.使用awt组件和socket实现简单的单客户端向服务端持续发送消息: 2.结合线程,实现多客户端连接服务端发送消息: 3.实现服务端转发客户端消息至所有客户端,同时在客户端显示: 4.把awt组件生成的窗口界面改成前端jsp或者html展示的界面,java socket实现的客户端改为前端技术实现. 这里首先实现第一步的简单功能,难点在于: 1.没有用过awt组件,没有用过java相关的监听事件: 2.长时间没有使用socket进行客户端和服务端的交互,并">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">基于Java Socket实现一个简易在线聊天功能（一）_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>先给大家说下实现步骤分这样几大步：</strong></p>
<p>1、使用awt组件和socket实现简单的单客户端向服务端持续发送消息；</p>
<p>2、结合线程，实现多客户端连接服务端发送消息；</p>
<p>3、实现服务端转发客户端消息至所有客户端，同时在客户端显示；</p>
<p>4、把awt组件生成的窗口界面改成前端jsp或者html展示的界面，java socket实现的客户端改为前端技术实现。</p>
<p><strong>这里首先实现第一步的简单功能，难点在于：</strong></p>
<p>1、没有用过awt组件，没有用过java相关的监听事件；</p>
<p>2、长时间没有使用socket进行客户端和服务端的交互，并且没有真正进行过cs结构的开发。</p>
<p><strong>实现功能的代码如下：</strong></p>
<p><strong>客户端：</strong></p>
<pre>
package chat.chat;
import java.awt.BorderLayout;
import java.awt.Frame;
import java.awt.TextArea;
import java.awt.TextField;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;
import java.net.UnknownHostException;
/**
 * 在线聊天客户端 1、生成图形窗口界面轮廓 2、为轮廓添加关闭事件 3、在轮廓中加入输入区域和内容展示区域 4、为输入区域添加回车事件
 * 5、建立服务端连接并发送数据
 *
 * @author tuzongxun123
 *
 */
public class ChatClient extends Frame {
  // 用户输入区域
  private TextField tfTxt = new TextField();
  // 内容展示区域
  private TextArea tarea = new TextArea();
  private Socket socket = null;
  // 数据输出流
  private DataOutputStream dataOutputStream = null;
  public static void main(String[] args) {
    new ChatClient().launcFrame();
  }
  /**
   * 建立一个简单的图形化窗口
   *
   * @author：tuzongxun
   * @Title: launcFrame
   * @param
   * @return void
   * @date May 18, 2016 9:57:00 AM
   * @throws
   */
  public void launcFrame() {
    setLocation(300, 200);
    this.setSize(200, 400);
    add(tfTxt, BorderLayout.SOUTH);
    add(tarea, BorderLayout.NORTH);
    pack();
    // 监听图形界面窗口的关闭事件
    this.addWindowListener(new WindowAdapter() {
      @Override
      public void windowClosing(WindowEvent e) {
        System.exit(0);
        disConnect();
      }
    });
    tfTxt.addActionListener(new TFLister());
    setVisible(true);
    connect();
  }
  /**
   * 连接服务器
   *
   * @author：tuzongxun
   * @Title: connect
   * @param
   * @return void
   * @date May 18, 2016 9:56:49 AM
   * @throws
   */
  public void connect() {
    try {
      // 新建服务端连接
      socket = new Socket("127.0.0.1", 8888);
      // 获取客户端输出流
      dataOutputStream = new DataOutputStream(socket.getOutputStream());
      System.out.println("连上服务端");
    } catch (UnknownHostException e) {
      e.printStackTrace();
    } catch (IOException e) {
      e.printStackTrace();
    }
  }
  /**
   * 关闭客户端资源
   *
   * @author：tuzongxun
   * @Title: disConnect
   * @param
   * @return void
   * @date May 18, 2016 9:57:46 AM
   * @throws
   */
  public void disConnect() {
    try {
      dataOutputStream.close();
      socket.close();
    } catch (IOException e) {
      e.printStackTrace();
    }
  }
  /**
   * 向服务端发送消息
   *
   * @author：tuzongxun
   * @Title: sendMessage
   * @param @param text
   * @return void
   * @date May 18, 2016 9:57:56 AM
   * @throws
   */
  private void sendMessage(String text) {
    try {
      dataOutputStream.writeUTF(text);
      dataOutputStream.flush();
    } catch (IOException e1) {
      e1.printStackTrace();
    }
  }
  /**
   * 图形窗口输入区域监听回车事件
   *
   * @author tuzongxun123
   *
   */
  private class TFLister implements ActionListener {
    @Override
    public void actionPerformed(ActionEvent e) {
      String text = tfTxt.getText().trim();
      tarea.setText(text);
      tfTxt.setText("");
      // 回车后发送数据到服务器
      sendMessage(text);
    }
  }
} </pre>
<p><strong>服务端：</strong></p>
<pre>
package chat.chat;
import java.io.DataInputStream;
import java.io.EOFException;
import java.io.IOException;
import java.net.BindException;
import java.net.ServerSocket;
import java.net.Socket;
/**
 * java使用socket和awt组件简单实现在线聊天功能服务端 可以实现一个客户端连接后不断向服务端发送消息
 * 但不支持多个客户端同时连接，原因在于代码中获得客户端连接后会一直循环监听客户端输入，造成阻塞
 * 以至于服务端无法二次监听另外的客户端，如要实现，需要使用异步或者多线程
 *
 * @author tuzongxun123
 *
 */
public class ChatServer {
  public static void main(String[] args) {
    // 是否成功启动服务端
    boolean isStart = false;
    // 服务端socket
    ServerSocket ss = null;
    // 客户端socket
    Socket socket = null;
    // 服务端读取客户端数据输入流
    DataInputStream dataInputStream = null;
    try {
      // 启动服务器
      ss = new ServerSocket(8888);
    } catch (BindException e) {
      System.out.println("端口已在使用中");
      // 关闭程序
      System.exit(0);
    } catch (Exception e) {
      e.printStackTrace();
    }
    try {
      isStart = true;
      while (isStart) {
        boolean isConnect = false;
        // 启动监听
        socket = ss.accept();
        System.out.println("one client connect");
        isConnect = true;
        while (isConnect) {
          // 获取客户端输入流
          dataInputStream = new DataInputStream(
              socket.getInputStream());
          // 读取客户端传递的数据
          String message = dataInputStream.readUTF();
          System.out.println("客户端说：" + message);
        }
      }
    } catch (EOFException e) {
      System.out.println("client closed!");
    } catch (Exception e) {
      e.printStackTrace();
    } finally {
      // 关闭相关资源
      try {
        dataInputStream.close();
        socket.close();
      } catch (IOException e) {
        e.printStackTrace();
      }
    }
  }
} </pre>
<p>以上所述是小编给大家介绍的Java Socket实现一个简易在线聊天功能（一）的相关知识，希望对大家有所帮助，如果大家有任何疑问请给我留言，小编会及时回复大家的。在此也非常感谢大家对网站的支持！</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索java<br />
                                    socket实现聊天<br />
                                    java socket实现聊天、java实现简易聊天软件、socket实现简易服务器、websocket实现聊天室、socket实现聊天室，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 09:00:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/socket%e5%ae%9e%e7%8e%b0%e8%81%8a%e5%a4%a9/" title="socket实现聊天">socket实现聊天</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>基于Java Socket实现一个简易在线聊天功能（一）_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boK6ygb.html" rel="bookmark">基于Java Socket的自定义协议，实现Android与服务器的长连接（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.基础知识准备 在正式给大家介绍自定义协议之前,我们先对网络传输和协议解析的相关知识点做一个基本的介绍,尽管这些知识点我们在学校里学过,但难免会有所遗忘,这里先做一个简单的介绍,以便对后文的内容理解更加顺畅. 1. 网络七层协议 OSI的7层从上到下分别是:7 应用层. 6 表示层. 5 会话层. 4 传输层. 3 网络层. 2 数据链路层. 1 物理层;其中高层(即7.6.5.4层)定义了应用程序的功能,下面3层(即3.2.1层)主要面向通过网络的端到端的数据流.应用层常见的协议有:HTTP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZePQb.html" rel="bookmark">想开发一个类似人人网右下角的在线聊天功能？？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我想开发一个类似人人网右下角的在线聊天功能,主要功能有31.可以实时显示在线好友(不想要定时刷新数据库的方式,因为占资源太大,当然Ajax是必需的)2.加好友并分组3.在线聊天请问各位有没有代码或参考资料-多谢 解决方案 解决方案二:顶一下!解决方案三:没有做过.帮顶解决方案四:没有做过.帮顶解决方案五:我觉得AJAX估计不行,可以用flex,silverlight等,当然这些插件表现出来很小,用户注意不到,然后利用这些插件做跳板,利用其socket通信,这样才会很及时.javascr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQW0PGp.html" rel="bookmark">Java Socket&plus;mysql实现简易文件上传器的代码&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近跟着某网站学习了一个小项目,因为白天有课,所以都是晚上写的,今天把它完成了. 项目主要是实现一个文件上传器,通过客户端的登陆,把本地文件上传到服务器的数据库(本地的). 首先建两个表如下: 一个文件信息表 CREATE TABLE `fileinfo` ( `Fname` char(50) NOT NULL, `FInfo` blob NOT NULL, `FId` int(10) NOT NULL AUTO_INCREMENT, PRIMARY KEY (`FId`) ) ENGINE=I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVP2Eb.html" rel="bookmark">java代码-我用java写了一个简易计算器的程序，但是有时候结果不正确</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我用java写了一个简易计算器的程序,但是有时候结果不正确 就是有时候计算结果后面会显示很多9或者0 ,比如计算8.3-2.1时,请问大神怎么解决啊? 我是菜菜鸟,程序如下: //Calculator.java import java.awt.*; import java.awt.event.*; import javax.swing.*; public class Calculator extends JFrame { private JPanel p1=new JPanel();			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQWROZp.html" rel="bookmark">腾讯微博新增在线聊天功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				腾讯微博新增了在线http://www.aliyun.com/zixun/aggregation/10032.html&quot;&gt;聊天功能,发起聊天的范围仅限微博中相互收听的用户(好友),我输入&quot;徐静蕾&quot;然后它提示我&quot;无法发起聊天&quot;.在微博上有很多人看到MM.靓仔都会想要求交往.求合体,其中最重要的一个媒介就是IM工具,腾讯微博的聊天功能在保护QQ用户隐私的同时提供基于微博的一种新沟通方式. 在这个新工具中,你可以设置自己的聊天状态,联系人列表会显示你最近聊			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlL6NNM.html" rel="bookmark">网页实现在线聊天功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎样用ASP.NET实现在线聊天功能 解决方案 解决方案二:(个人观点)在页面加一个GirdView控件或者ListView控件作为显示聊天信息,在加一个ListBox控件,用来输入信息的(附带表情要另作考虑),加一个确定按钮,输入信息时,点击确定按钮,数据插入到数据库中,并调用显示信息的方法,就能实现那种聊天的效果,同时页面最好加一个无闪烁刷新,这样才能同步,从而达到那种聊天效果.解决方案三:这个可以去看看,做的简单点可以ajax不停的轮询,就是服务器会吃不消 -----------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7J7vKp.html" rel="bookmark">thinkphp 实现在线聊天功能的例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你想为你的博客或者网站添加的在线聊天功能,为你的用户提供技术支持,或者不仅仅是客服功能,让你的用户能够相互交流,增强网站或者博客互动功能,这里为大家介绍1个为博客或者网站打造的聊天工具,只要您懂得thinkphp就能看得懂此段代码.主要实现的方法是thinkphp+ajax,不在赘述直接贴出代码: 数据库结构: think_msg 表用来存储聊天记录 DROP TABLE IF EXISTS `think_msg`; CREATE TABLE IF NOT EXISTS `think_msg`			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zem8K9z.html" rel="bookmark">基于javascript、ajax、memcache和PHP实现的简易在线聊天室&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在线聊天室(online chatrooms)是一个共多人进行沟通交流的网络平台,随着越来越多的新技术的发明和成熟运用,在线聊天室也出现使用各种不同技术的, 这篇文章我想简单总结一下. 首先说一下前台技术,最新的当然是基于HTML5的websocket,它实现了浏览器与服务器全双工通信(full-duplex).WebSocket通信协议于2011年被IETF定为标准 RFC 6455,WebSocketAPI被W3C定为标准.在WebSocket API中,浏览器和服务器只需要做一个握手的动作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK3Xo7b.html" rel="bookmark">基于Java回顾之多线程同步的使用详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先阐述什么是同步,不同步有什么问题,然后讨论可以采取哪些措施控制同步,接下来我们会仿照回顾网络通信时那样,构建一个服务器端的&quot;线程池&quot;,JDK为我们提供了一个很大的concurrent工具包,最后我们会对里面的内容进行探索. 为什么要线程同步? 说到线程同步,大部分情况下, 我们是在针对&quot;单对象多线程&quot;的情况进行讨论,一般会将其分成两部分,一部分是关于&quot;共享变量&quot;,一部分关于&quot;执行步骤&quot;. 共享变量 当我们在线程对象(Run			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2wQoM.html" rel="bookmark" class="title">什么时候不应该使用 XML&lpar;3&rpar;</a>
					<div>
						xml   当问题非常简单时 当它可能产生其大无比的文件时 当应用程序是&quot;一次性的&quot;时 当需要使用 Unix 面向行的文本处理工具时 涉及使用 XML 来进行程序间通信时,有探讨的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3Anwp.html" rel="bookmark" class="title">ActiveX如何调用引用该ActiveX的网页中的JavaScript函数</a>
					<div>
						active|activex|javascript|函数|网页  前言 很多网友问到,在HTML的页面中放置一个COM对象,这个对象该如何调用页面中的脚本函数的问题,本人近日也因为工作需要实现这样的功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR2P3M.html" rel="bookmark" class="title">我是怎样在十天内把百度权重1做到4的</a>
					<div>
						  我是做医疗网站优化的,每天上班之前总喜欢查下,百度收录情况,还有排名,我只是站长大众里的一员,这篇文章也没什么有质量的话主要是和大家分享一下我的网站仅仅不到十天,百度权重从1到4的,到底我是怎么做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWEvqz.html" rel="bookmark" class="title">用c&num;实现一个计算程序启动时间的构想</a>
					<div>
						程序   昨天同屋的兄弟来找我和森哥帮忙,说他的任务的问题,他需要做一个类似任务管理器的东西,能对系统中的进程进行监视,得到内存占用率和cpu占用率,由此来测试公司的某产品和word的性能差别,如启动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2d5ep.html" rel="bookmark" class="title">Word中如何实现逆页序打印</a>
					<div>
						大家都知道Word具有很强的编辑排版功能,而且大家使用得都很熟练了,但是对Word的打印功能你了解多少呢?今天我给大家介绍一些Word中的打印技巧,也好让你在关键的时候大显身手! 一.打印到文件 想打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal07Xz.html" rel="bookmark" class="title">SQL Server 2008 RC0安装过程四：开始安装</a>
					<div>
						设置完了所有组件服务后是微软统一的安装统计收集选项,微软通过从大量用户的安装过程中搜集安装过程中的报错信息和用户设置习惯来优化安装界面,这也是微软的体验改善计划中的一部分.因此如果带宽允许的话,大家可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnEkVz.html" rel="bookmark" class="title">如何使用外部表管理Oracle的告警日志</a>
					<div>
						Oracle 告警日志时DBA维护数据库经常需要关注的一部分内容.然而告警日志以文本文件,按时间的先后顺序不断累积的形式来存储,久而 久之,势必造成告警日志的过大,难于维护和查找相关的信息.使用外表表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kAaXz.html" rel="bookmark" class="title">嵌套类型&sol;包含类型</a>
					<div>
						嵌套类型:一个类完整的包含在了另一个类 包含类型:在另一个对象中做数据成员的对象 类包含:计算机类中定义一个编程类型的私有成员(而这个编程类型则是另 一个全新的类),计算机类(以及所有计算机类的实例成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPO48z.html" rel="bookmark" class="title">ASP&period;net控件开发系列之三</a>
					<div>
						属性全接触(一) 本系列上篇文章有几位抬爱,鼓励了几句,所以劲头又足了,这不,这篇文章就出得快了,:) 希望能继续得到鼓励和指正. 这次我们来探讨下控件开发中的属性设计的方方面面,属性本是各种.net ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7vVab.html" rel="bookmark" class="title">Photoshop怎么制作剪影视觉效果图</a>
					<div>
						  Photoshop怎么制作剪影视觉效果图          效果图: 素材: 制作开始: 首先把人像扣出来,此处用通道扣图最佳,图快就没那么仔细了,将扣好的图放进城市图片中 新建一个图层,填充白色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKj0yp.html" rel="bookmark" class="title">在PPT中添加声音的多种操作方法汇总</a>
					<div>
						恰到好处的声音可以使课件具有更出色的表现力,那么在课件中怎样才能惟妙惟肖地使用声音呢?现在,就让我们一起来看看PowerPoint (2000及以上版本)中声音操作的各种途径吧. 1 循环播放声音直至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNNkGM.html" rel="bookmark" class="title">PHP动态生成javascript文件的2个例子</a>
					<div>
						 这篇文章主要介绍了PHP动态生成javascript文件的2个例子,需要的朋友可以参考下 一.PHP动态生成   第一步:在PHP文件中直接写入JS代码,并在头部声明这是一个JavaScript文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYP0lb.html" rel="bookmark" class="title">win7电脑中如何更改屏幕分辨率</a>
					<div>
						  下面,小编就这个问题,详细的介绍一下吧! 1.首先,咱们返回到win7电脑的桌面位置,然后在桌面随意的找一个空白处,右键点击,在弹出来的下滑菜单中,咱们直接选择屏幕分辨率即可. 2.接下来就会出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRGWlp.html" rel="bookmark" class="title">如何设置瑞星白名单让信任程序运行更快</a>
					<div>
						  1.启动瑞星后,点击&quot;设置&quot;选项,在弹出的菜单页面中点击&quot;详细设置&quot;进入到瑞星设置中心界面中. 2.此时点击瑞星设置中心中的&quot;防御设置&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVwdmb.html" rel="bookmark" class="title">不怕小米电视2大动作！乐视电视怒砸1亿 保护域名</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 易名中国(eName.cn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEjddz.html" rel="bookmark" class="title">一个游戏程序员的学习资料</a>
					<div>
						转自:http://software.intel.com/zh-cn/blogs/2012/03/20/400010004/?cid=sw:prccsdn2194 想起写这篇文章是在看侯杰先生的&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl5l3b.html" rel="bookmark" class="title">月饼，有毒 &vert; 2016 影响因子</a>
					<div>
						   再过半个月,就到了有圣诞老人和发苹果的日子了. 一到这种和&quot;吃&quot;有关的节日(虽然对吃货而言,每个节日都和吃有关),不禁想起2016年中秋那场和&quot;吃&quot;有关的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWZqBp.html" rel="bookmark" class="title">&lbrack;JavaScript&rsqb;项目优化总结</a>
					<div>
						前端时间对公司已有项目JavaScript代码进行优化,本文的是对优化工作的一个总结,拿出来与大家分享.当然我的优化方式可能并不是最优的,或者说有些不对的地方,请指教. JavaScript优化总结分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lqG3b.html" rel="bookmark" class="title">spring 集成active mq 问题</a>
					<div>
						问题描述 &lt;beanid=&quot;listenerContainer&quot;class=&quot;org.springframework.jms.listener.DefaultMes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZAvZp.html" rel="bookmark" class="title">云计算时代的以太网交换机要求</a>
					<div>
						你对云计算有多少的了解?今天小编将为大家简单介绍一下,欢迎大家一起进行学习.由于ASIC技术和网络处理器的不断发展不断进步,以及网络慢慢被IP技术所占领,以太网技术已经跨过了局域网时代,在城域网和广域 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0RvBM.html" rel="bookmark" class="title">php实现查询功能</a>
					<div>
						本文转自IT摆渡网欢迎转载,请标明出处 更多php文章请阅读 php问题解决 简单的php实现查询的功能,直接附上源码: 代码: &lt;body&gt; &lt;h1&gt;汽车信息&lt;/h1& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zr4qz.html" rel="bookmark" class="title">数据库服务器的安全</a>
					<div>
						数据库服务器实际上是每一个电子交易.金融和企业资源规划(ERP)系统的基础,它还经常包括来自商业伙伴和客户的敏感信息.尽管这些系统的数据完整性和安全性是相当重要的,但对数据库采取的安全检查措施的级别还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAdBXM.html" rel="bookmark" class="title">联通和阿里云合作 建互联网云化卡号管理系统</a>
					<div>
						1月17日晚间消息,继去年11月中国联通与阿里巴巴签订战略合作框架协议之后,今天下午阿里云宣布将于中国联通建卡号管理系统&quot;cBSS2.0集中号卡系统&quot;.据了解,这将是电信行业第一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R5V6z.html" rel="bookmark" class="title">JAVA 正则表达式入门</a>
					<div>
						java中的正则表达式遵循了像Python,unix中的一些工具相同的语法,使得正则表达式可以通用. 正则表达式是强大而灵活的文本处理工具.他们可以让我们以变成编程的方式找到文本中符合某种模式的内容, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R9WBz.html" rel="bookmark" class="title">photoalbum 0&period;4&period;0 发布，静态 HTML 相册生成工具</a>
					<div>
						photoalbum 0.4.0 发布,支持子相册,包含一个相册概述页面.添加了一个 'makemake' 参数,删除了 'all' 参数.同时还重构了一些代码. photoalbum 使用 Imag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQZrYp.html" rel="bookmark" class="title">openfire sip-openfire&plus;sip插件问题</a>
					<div>
						问题描述 openfire+sip插件问题 我搭好了 sip 服务器,用x-lite测试没有问题. 在openfire中安装sip插件,Update SIP Phone Mapping 时,中间配置应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeoyZM.html" rel="bookmark" class="title">关闭页面时触发事件</a>
					<div>
						问题描述 &lt;scriptlanguage=&quot;javascript&quot;&gt;window.onbeforeunload=function()//只要点击就关闭{//event. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye8GPM.html" rel="bookmark" class="title">access-新手求问 有关mfc对数据库进行模糊查询</a>
					<div>
						问题描述 新手求问 有关mfc对数据库进行模糊查询 刚接触mfc mfc已使用ado连接上access数据库 想实现通过表中一字段模糊查询能在列表框中输出整行信息 求vc6实例 解决方案 select ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye5q8M.html" rel="bookmark" class="title">跪求内存不能读写错误的解决方案，如图。</a>
					<div>
						问题描述 1.微软net2.0补丁大家都能下载吗?2.要不给个其他方法解决这个问题.3.给个微软net2.0补丁非官方链接, 解决方案 解决方案二:这是什么原因啊?论坛有些冷清了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNrjrp.html" rel="bookmark" class="title">3G基站通信用分布式UPS面市</a>
					<div>
						本报讯(郭涛)随着3G网络逐渐走向成熟,3G对信号发射设备提出了更高要求.3G实施将带动3G基站建设.UPS作为3G基站建设的重要一环,成为厂商争夺的新市场. 日前,厦门科华恒盛股份有限公司(以下简称 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
